<?

header("charset:windows-1251");

session_start();

?>

<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>Мрак Подземелья:Восстание зла</title>
<link rel='icon' href='ico1.ico' type='image/x-icon'>
<link rel='shortcut icon' href='ico1.ico' type='image/x-icon'>
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />



<?
@ob_start("ob_gzhandler");

//подключаем сжатие
include('gzdoc.php'); 
//подключаем файл базы
include ("db.php");
$NICK = $_SESSION['NICK'];
$pass = $_SESSION['pass'];	
//здесь переменные 
$menu = $_GET['menu'];
$src = $_GET['src'];
$speak = $_GET['speak'];
$id = $_GET['id'];
$title = $_GET['title'];
$info = $_GET['info'];
$itemsMenu = $_GET['itemsMenu'];
$buy_items = $_GET['buy_items'];
$count = $_GET['count'];
$cat = $_GET['cat'];
$menuM = $_GET['menuM'];
$loc=$_GET['loc'];
$m=$_GET['m'];
$info = $_GET['info'];
$use=$_GET['use'];
$uset=$_GET['uset'];
$plus=$_GET['plus'];
$mp=$_GET['mp'];
$li=$_GET['li'];
$drop=$_GET['drop']; 
$i=$_GET['i'];
$i_c=$_GET['i_c'];
$c_points=$_GET['c_points'];
$del=$_GET['del'];
$idT=$_GET['idT']; 
$take=$_GET['take'];
$yt=$_GET['yt'];
$sunduk=$_GET['sunduk'];
$pi=$_GET['pi'];
$prigl=$_GET['prigl'];
$pri=$_GET['pri'];
$pid=$_GET['pid'];
$vis=$_GET['vis'];
$pere=$_GET['pere'];
$sob=$_GET['sob'];
$summa=$_POST['summa'];
$polu=$_POST['polu'];
$vremya=time();

$db->openDB();//Соединяемся к базе
if(isset($li)){include("look_items.php");}

$logD = mysql_query("DELETE FROM logs WHERE $vremya-L_TIME>60");//удаляем логи которые старше 60 секунд
$deGip = mysql_query("DELETE FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND $vremya>G_time");//удаляем ГИПЕР
$delItem=mysql_query("DELETE FROM inv WHERE IL_VREME=\"1\" AND IL_TVRE<$vremya");//удаляем временные вещи
$delTr=mysql_query("DELETE FROM tavern_room1 WHERE room_1_timer<$vremya");//удаляем комнату в таверне
$SELTr=mysql_query("SELECT * FROM tavern_room1 WHERE room_1_timer<$vremya");
if(mysql_num_rows($SELTr)<1){
$updroom=mysql_query("UPDATE location SET LOC_CLOSE=\"1\" WHERE L_IDL=\"x100x16\"");//если у игрока нету ключей от комнаты 1,то закрываем ее
}

$delItem2=mysql_query("DELETE FROM inv WHERE IL_VREME=\"1\" AND IL_TVRE<$vremya");//удаляем временные вещи
$delTr2=mysql_query("DELETE FROM tavern_room1 WHERE room_2_timer<$vremya");//удаляем комнату в таверне
$SELTr2=mysql_query("SELECT * FROM tavern_room1 WHERE room_2_timer<$vremya");
if(mysql_num_rows($SELTr2)<1){
$updroom=mysql_query("UPDATE location SET LOC_CLOSEB=\"1\" WHERE L_IDL=\"x100x16\"");//если у игрока нету ключей от комнаты 1,то закрываем ее
}

$delItem3=mysql_query("DELETE FROM inv WHERE IL_VREME=\"1\" AND IL_TVRE<$vremya");//удаляем временные вещи
$delTr3=mysql_query("DELETE FROM tavern_room1 WHERE room_3_timer<$vremya");//удаляем комнату в таверне
$SELTr3=mysql_query("SELECT * FROM tavern_room1 WHERE room_3_timer<$vremya");
if(mysql_num_rows($SELTr3)<1){
$updroom=mysql_query("UPDATE location SET LOC_CLOSEC=\"1\" WHERE L_IDL=\"x100x16\"");//если у игрока нету ключей от комнаты 1,то закрываем ее
}

$delItem4=mysql_query("DELETE FROM inv WHERE IL_VREME=\"1\" AND IL_TVRE<$vremya");//удаляем временные вещи
$delTr4=mysql_query("DELETE FROM tavern_room1 WHERE room_4_timer<$vremya");//удаляем комнату в таверне
$SELTr4=mysql_query("SELECT * FROM tavern_room1 WHERE room_4_timer<$vremya");
if(mysql_num_rows($SELTr4)<1){
$updroom=mysql_query("UPDATE location SET LOC_CLOSED=\"1\" WHERE L_IDL=\"x100x16\"");//если у игрока нету ключей от комнаты 1,то закрываем ее
}


$klvo=rand(2,5);//для горного дела
$AIR=rand(4,7);//для предметов алтера
$nnick=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$nnick2=mysql_fetch_assoc($nnick);
if($vremya-$nnick2[gametime]>600){
include ("accaunt.php");
$AC->ACCAUNT();//Проверка Аккаунта
}

//трупы лежат 15 мин.после чего исчезают
include("diedestroid.php");
include("timeREF.php");//ФАЙЛ Обновления времени сессии,если игрок подает какие то признаки активности,то обновляем у него время онлайн

?>
<div class='main' style='word-wrap:break-word;'>
<div class=top>
<?
include("start_game.php");//НАЧАЛЬНОЕ ПРИВЕТСТВИЕ В ИГРЕ

$pers=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$pers2=mysql_fetch_assoc($pers);
$clPER=$pers2[class_pers];
if($pers2[class_pers]==1){echo"<img src=\"img/arch1.png\">";}
if($pers2[class_pers]==2){echo"<img src=\"img/hill.png\">";}
if($pers2[class_pers]==3){echo"<img src=\"img/asss.png\">";}
if($pers2[class_pers]==4){echo"<img src=\"img/defe.png\">";}
if($pers2[class_pers]==5){echo"<img src=\"img/warrior.png\">";}
if($pers2[class_pers]==6){echo"<img src=\"img/mage2.png\">";}
if($pers2[class_pers]==7){echo"<img src=\"img/dtkn.png\">";}
if($pers2[class_pers]==8){echo"<img src=\"img/necr.png\">";}
echo "<font color=\"#FFE7BA\"><a href=\"pers.php\"><font color=\"#FFE7BA\"> $_SESSION[s]</a>";horsen(); echo"</font> <img src=\"img/star.png\" width=\"24\" height=\"24\"> $pers2[LVL_USERS] 
<img src=\"img/br.png\" width=\"24\" height=\"24\"> $pers2[brilliants]</font>
"; 


function horsen()
{
   $hros=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
   $hros2=mysql_fetch_assoc($hros);
   $horse=mysql_query("SELECT * FROM my_horse WHERE horse_NICK=\"$_SESSION[s]\"");
   $horse2=mysql_fetch_assoc($horse);
   if(mysql_num_rows($horse)>0 AND $hros2[sex]==1){echo"(всадник)";}//всадник
   if(mysql_num_rows($horse)<1 AND $hros2[sex]==1){echo"";}//не всадник
   if(mysql_num_rows($horse)>0 AND $hros2[sex]==2){echo"(всадница)</font>";}//всадница
   if(mysql_num_rows($horse)<1 AND $hros2[sex]==2){echo"";}//не всадница
    if($hros2[statys]==1 AND !isset($src) AND !isset($speak))
	{
    echo" <img src=\"img/died.png\"  width=\"16\" height=\"16\" title=\"призрак\"> ";
	}
	$cl66 = mysql_query("SET NAMES cp1251");
    $cl66=mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$_SESSION[s]\"");
    while($cl77=mysql_fetch_assoc($cl66))
    {
    $cl88 = mysql_query("SET NAMES cp1251");
    $cl88=mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$_SESSION[s]\"");
    $cl99=mysql_num_rows($cl88);
    $clsd = mysql_query("SET NAMES cp1251");
    $clsd=mysql_query("SELECT * FROM clan_list WHERE CLL_NAME=\"$cl77[CL_NAME]\"");
	while($clsd2=mysql_fetch_assoc($clsd))
    {
    if($cl99>0)
	{
	echo "<img src=\"$clsd2[ZNAK_CLA]\" width=\"16\" height=\"16\" alt=\"c\" alt=\"c\"> 
	      <font color=\"yellow\">*".$cl77[CL_NAME]."*</font> ";
	}
    if($cl99<1)
    {echo"";
	}
    }
	}
}
$indHP = (100*$pers2[MINhp])/$pers2[MAXhp];
$indTO = 100-$indHP;
echo"<br/><div style=\"margin-left:40px;margin-bottom:-17px\">$pers2[MINhp]/$pers2[MAXhp]</div>";
echo"<table background=\"red\" cellpadding=\"4\" cellspacing=\"0\">
<tr>";
if($pers2[MINhp]>0){echo"<td colspan=\"2\" bgcolor=\"lime\" width=\"$indHP\" height=\"1\" align=\"center\"></td>";}
if($pers2[MINhp]<$pers2[MAXhp]){echo"<td bgcolor=\"red\" width=\"$indTO\" height=\"1\" align=\"center\"></td>";}

echo"
</tr>
</table>

";
$indMP = (100*$pers2[MINmp])/$pers2[MAXmp];
$indMTO = 100-$indMP;
echo"<div style=\"margin-left:40px;margin-bottom:-17px\">$pers2[MINmp]/$pers2[MAXmp]</div>
<table background=\"red\" cellpadding=\"4\" cellspacing=\"0\">
<tr>
<td colspan=\"2\" bgcolor=\"lightblue\" width=\"$indMP\" height=\"1\" align=\"center\"></td>";
if($pers2[MINmp]<$pers2[MAXmp]){echo"<td bgcolor=\"red\" width=\"$indMTO\" height=\"1\" align=\"center\"></td>";}

echo"
</tr>
</table>

";

                if($pers2[LVL_USERS]<105){
				if($pers2[LVL_USERS]>0){$lvln = $pers2[LVL_USERS]*4*$pers2[LVL_USERS];}
				else {$lvln = 1;}
				$LVL_UP = round($lvln*5*5);}
                if($pers2[LVL_USERS]==105){}
			 if($pers2[LVL_USERS]!= 105){$expa = round(100*$pers2[EXPnow])/$LVL_UP;}
             $expa2 = 100-$expa;
			 $lvls = $LVL_UP;
			 
if($pers2[LVL_USERS]!= 105){echo"<div style=\"margin-left:4px;margin-bottom:-17px\">$pers2[EXPnow]/$LVL_UP</div>
<table background=\"red\" cellpadding=\"4\" cellspacing=\"0\">
<tr>";
if($expa>0){echo"<td colspan=\"2\" bgcolor=\"orange\" width=\"$expa\" height=\"1\" align=\"center\"></td>";}
if($pers2[EXPnow]<$LVL_UP){echo"<td bgcolor=\"white\" width=\"$expa2\" height=\"1\" align=\"center\"></td>";}
}
echo"
</tr>
</table>

";
			 @$procE = (100*$pers2[EXPnow])/$LVL_UP;
               //echo substr($procE,0,4). " %";
  //if($pers2[rang]==0){echo' <img src="hero/zv_1.png" title="простолюдин" height="16" width="16"> ';$herNEED="100";}//простолюдин
			   //if($pers2[rang]==1){echo' <img src="hero/zv_2.png" title="задира" height="16" width="16"> ';$herNEED="300";}//задира
			   //if($pers2[rang]==2){echo' <img src="hero/zv_3.png" title="крепыш" height="16" width="16"> ';$herNEED="1000";}//крепыш
			   //if($pers2[rang]==3){echo' <img src="hero/zv_4.png" title="силач" height="16" width="16"> ';$herNEED="3000";}//силач (10 больших зелий)
			   //if($pers2[rang]==4){echo' <img src="hero/zv_5.png" title="громила" height="16" width="16"> ';$herNEED="16000";}//громила (синее оружие на 25ый уровень)
			   //if($pers2[rang]==5){echo' <img src="hero/zv_6.png" title="громила-здоровяк" height="16" width="16"> ';$herNEED="25000";}//громила-здоровяк (синий шмот на 25ый уровень)
			   //if($pers2[rang]==6){echo' <img src="hero/zv_7.png" title="громила-здоровяк" height="16" width="16"> ';$herNEED="35000";}//громила-рубака (синия бижа на 25ый уровень)
			   //if($pers2[rang]==7){echo' <img src="hero/zv_8.png" title="боец" height="16" width="16"> ';$herNEED="75000";}//боец (синие оружие на 45ый уровень,камень заточения 2 шт,10 больших эликсиров,камень познания х 1)
               //if($pers2[rang]==8){echo' <img src="hero/zv_9.png" title="боец-здоровяк" height="16" width="16"> ';$herNEED="125000";}//боец-здоровяк (синий шмот на 45ый уровень)
               //if($pers2[rang]==9){echo' <img src="hero/zv_10.png" title="боец-рубака" height="16" width="16"> ';$herNEED="185000";}//боец-рубака (синия бижа на 45ый уровень)
			   //if($pers2[rang]==10){echo' <img src="hero/zv_11.png" title="новобранец" height="16" width="16"> ';$herNEED="255000";}//новобранец (фиолетовое оружие,камень заточения 4 шт.,20 больших зелий здоровья и манны,камень познания х2 на 75ый уровень)
			   //if($pers2[rang]==11){echo' <img src="hero/zv_12.png" title="элитный-новобранец"height="16" width="16" > ';$herNEED="355000";}//элитный-новобранец (фиолетовый шмот на 75ый уровень)
			   
			   @$procG = (100*$pers2[heroism])/$herNEED;
			   //echo round($procG). " %</font></center></font>";
 

echo"</font>";

//echo"<font color=\"gold\"> <img src=\"img/gold.png\"  width=\"16\" height=\"16\" title=\"золото\"></img> $pers2[money] <a href=\"game.php?pere=money\"><font color=\"black\"><img src=\"img/ad.png\" width=\"16\" height=\"16\"></font></a><font color=\"lightblue\"> <img src=\"img/br.png\" width=\"16\" height=\"16\" title=\"бриллианты\"></img> $pers2[brilliants]";
echo"</div><div class=\"line\"></div>";
$ruda = rand(2,9);

$rTI=mysql_query("UPDATE gornoe_delo SET kol_vo=\"$ruda\",g_time=\"$vremya\" WHERE kol_vo=\"0\" AND $vremya-g_time>600");
$AI=mysql_query("UPDATE alter_items SET counts_alter_items=\"$AIR\",al_timer=\"$vremya\" WHERE $vremya-al_timer>600");
include("buffs.php");//бафы и дебафы игрока
?>
<div style="padding:5px">
<?
$gipk2 = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND x2=\"1\"");
$gipk4 = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND x4=\"1\"");
$gipk8 = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND x8=\"1\"");
$gipk12 = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\" AND x12=\"1\"");
$gip2 = mysql_fetch_assoc($gipk2);
$gip4 = mysql_fetch_assoc($gipk4);
$gip8 = mysql_fetch_assoc($gipk8);
$gip12 = mysql_fetch_assoc($gipk12);
$tgip=time();
if(mysql_num_rows($gipk2)>0){echo"<img src=\"images/x2.png\" title=\"опыт увеличен на 2\"><font color=\"red\"> <small>";echo round(($gip2[G_time]-$tgip)/60).' мин.</small></font>';}
if(mysql_num_rows($gipk4)>0){echo"<img src=\"images/x4.png\"> title=\"опыт увеличен на 4\"><font color=\"red\"> <small>";echo round(($gip4[G_time]-$tgip)/60).' мин.</small></font>';}
if(mysql_num_rows($gipk8)>0){echo"<img src=\"images/x8.png\" title=\"опыт увеличен на 8\"><font color=\"red\"> <small>";echo round(($gip8[G_time]-$tgip)/60).' мин.</small></font>';}
if(mysql_num_rows($gipk12)>0){echo"<img src=\"images/x12.png\" title=\"опыт увеличен на 12\"><font color=\"red\"> <small>";echo round(($gip12[G_time]-$tgip)/60).' мин.</small></font>';}
$ip=$_SERVER[REMOTE_ADDR];
$timer=mysql_query("SELECT * FROM timer");
$gg22=mysql_query("SELECT * FROM items_world WHERE KEY_WORLD_ITEMS=\"i.meatys\"");
$vhod=mysql_query("SELECT * FROM proverka_vhoda");
$vhod=mysql_query("SELECT * FROM proverka_vhoda WHERE IP=\"$ip\"");
$delLO=mysql_query("DELETE FROM logs2 WHERE L_NICK=\"$_SESSION[s]\" AND $tiem-L_TIMERx>2");

?>


</div>
<?
//блок по IP
include('IP_BN/index.php');
$vikSAR=mysql_query("UPDATE users SET loc=\"x0x7\" WHERE $tiem-gametime>600 AND loc=\"x15x15\""); 

if(strlen($_SESSION[s])==0 OR strlen($_SESSION[p])==0){echo"<div class=\"main_title\"><center><font color=\"red\"><img src=\"img/bad.png\" width=\"16\" height=\"16\"> логин или пароль пустой!</font></center></div><br/><div class=\"menu\"><li><a href=\"menu.php\"><img src=\"img/al.png\" width=\"16\" height=\"16\"> на главную</a></li></div> ";
unset($_SESSION[s]);   
session_destroy();   
header('Location: menu.php');
print('<SCRIPT>location.href="menu.php";</SCRIPT>');
die;}
$PR_NICK = mysql_query("SET NAMES cp1251");
$PR_NICK=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\" AND pass=\"$_SESSION[p]\"");





$pr=$clNM[PR_GLAVA];
$cla=$clNM[PR_NAME];
$kom=$clNM[PR_KOMU];
$con=$clNM[PR_CONT];
$pID=$clNM[PR_ID];

if($prigl==1){
if(isset($vis)){
$jkl = mysql_query("SET NAMES cp1251");
$jkl = mysql_query("SELECT * FROM users,clans WHERE NICK=\"$_SESSION[s]\"");
while (@$jkl2 = mysql_fetch_assoc($jkl)) {  
$pr11 = mysql_query("SET NAMES cp1251");
$pcl1 = mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$vis\"");
$prt = mysql_query("SET NAMES cp1251");
$prt = mysql_query("SELECT * FROM clans,users WHERE CL_CHLEN=\"$_SESSION[s]\" AND loc=\"$jkl2[loc]\" AND $t-gametime<600");
while($prter=mysql_fetch_assoc($prt))
{
if($prter[CL_ZVAN]!=1 AND $prter[CL_ZVAN]!=2 AND $prter[CL_ZVAN]!=3 AND $prter[CL_ZVAN]!=4){echo"вы не можете приглашать игроков в клан из-за текущего звания";die;}
}
$pcl1C=mysql_num_rows($pcl1);
$prtC=mysql_num_rows($prt);
$prPRIG = mysql_query("SET NAMES cp1251");
$prPRIG=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_GLAVA=\"$_SESSION[s]\"");
$prPRIC=mysql_num_rows($prPRIG);
if($prPRIC>0){echo' 
 
 

 <center><b>'."<a href=\"game.php\">в игру</a>".'<br/>невозможно отослать два приглашения сразу!</b></center>

 ';die;}
 
if($prtC<1){echo" 
 
 

 <center><b><a href=\"game.php\">в игру</a><br>вы не состоите не в одном клане</b></center>

 ";die;}
if($pcl1C>0){echo' 
 
 

 <center><b>игрок уже состоит в клане</b></center>

 ';die;}
if($pcl1C<1){echo' 
 
 

 <center><b><br/><img src="img/al.png"> '. "<a href=\"game.php\">в игру</a>".'<br>вы пригласили игрока '.$vis.' в клан</b></center>

 ';
$pcl111 = mysql_query("SET NAMES cp1251");
$pcl111 = mysql_query("SELECT * FROM users WHERE NICK!=\"$_SESSION[s]\" AND loc=\"$jkl2[loc]\" AND $t-gametime<600");
$visPR = mysql_query("SET NAMES cp1251");  
$visPR=mysql_query("INSERT INTO PRIGL_clans (PR_KOMU,PR_DEVIZ,PR_GLAVA,PR_NAME,PR_CONT) VALUES ('$vis','$jkl2[CL_DEVIZ]','$_SESSION[s]','$jkl2[CL_NAME]','здравствуйте $vis,предлогаю вступить вам в клан $jkl2[CL_NAME]') ");

die;}
}
die;}
if($pri==1 AND isset($pri)){
//здесь так же идет проверка состоит ли игрок в данный момент в каком нибудь клане
$clGLV = mysql_query("SET NAMES cp1251");
$clGLV=mysql_query("SELECT * FROM clans WHERE CL_GLAVA=\"$_SESSION[s]\"");
$clCHL = mysql_query("SET NAMES cp1251");
$clCHL=mysql_query("SELECT * FROM clans WHERE CL_CHLEN=\"$_SESSION[s]\"");
$cl1=mysql_num_rows($clGLV);
$cl2=mysql_num_rows($clCHL);
$clCO=$cl1+$cl2;
if($clCO>0){echo' 
 

 <center><b>'."<a href=\"game.php\">в игру</a><br/>".'вы уже состоите в клане сначала выйдите из него или расформируйте</center>

 ';die;}
if($clCO<1){echo' 
 

 <center><b>'."<a href=\"game.php\"></a>".'<br/>вы успешно вступили в клан</b></center>

 ';
$prmpr = mysql_query("SET NAMES cp1251");
$prmpr=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_KOMU=\"$_SESSION[s]\"");
while($prmpr2=mysql_fetch_assoc($prmpr))
{
$userTT = mysql_query("SET NAMES cp1251");
$userTT = mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while (@$userTTT = mysql_fetch_assoc($userTT)) {
$accePR = mysql_query("SET NAMES cp1251");  
$accePR=mysql_query("INSERT INTO clans (CL_DEVIZ,CL_GLAVA,CL_CHLEN,CL_NAME,CL_CLASS,CL_LVL,CL_ZVAN) VALUES ('$prmpr2[PR_DEVIZ]','$prmpr2[PR_GLAVA]','$_SESSION[s]','$prmpr2[PR_NAME]','$userTTT[class_pers]','$userTTT[LVL_USERS]','5') ");
$prCL222 = mysql_query("SET NAMES cp1251");
$prCL222=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_KOMU=\"$_SESSION[s]\"");
while($clNM222=mysql_fetch_assoc($prCL222))
{
$del_P=mysql_query("DELETE FROM PRIGL_clans WHERE PR_ID=\"$pid\" AND PR_KOMU=\"$clNM222[PR_KOMU]\"");
}}}
die;}
}
if($pri==0 AND isset($pri)){
$prCL22 = mysql_query("SET NAMES cp1251");
$prCL22=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_KOMU=\"$_SESSION[s]\"");
while($clNM22=mysql_fetch_assoc($prCL22))
{
$delw = mysql_query("SET NAMES cp1251");
$delw=mysql_query("SELECT * FROM PRIGL_clans WHERE PR_ID=\"$pid\" AND PR_KOMU=\"$clNM22[PR_KOMU]\"");
$delw2=mysql_num_rows($delw);

if($delw2<1){echo"<a href=\"game.php\">в игру</a><br>невозможно удалить приглашение,т.к оно удаленно!";die;}
echo"отказ от приглашения приглашение $clNM22[PR_KOMU]";
$del_P=mysql_query("DELETE FROM PRIGL_clans WHERE PR_ID=\"$pid\" AND PR_KOMU=\"$clNM22[PR_KOMU]\"");
//print('<script>location.href="game.php?NICK='."$NICK".'";</script>');
}
die;
}
if($prCLC==0){echo" 
 

 <b><img src=\"img/al.png\"> <a href=\"game.php\">в игру</a><br>у вас нету приглашений</b>

 ";die;}
while($clNM=mysql_fetch_assoc($prCL)){
echo"<b><img src=\"img/al.png\"> <a href=\"game.php\">в игру</a><br/>";
echo"приглашение от:<font color=\"lime\"> ".$clNM[PR_GLAVA]."</font><br>";
echo"клана:<font color=\"lime\"> ".$clNM[PR_NAME]."</font><br>";
echo"кому:<font color=\"lime\"> ".$clNM[PR_KOMU]."</font><br>";
echo"текст:<font color=\"lime\"> ".$clNM[PR_CONT]."</font><br>";
echo"<a href=\"game.php?prigl=1&pri=1&pid=$clNM[PR_ID]\">принять</a>|<a href=\"game.php?prigl=1&pri=0&pid=$clNM[PR_ID]\">отказать</a><br>";
echo"</b>";
}die;}

@include("GameFilter.php");//подключаем файл фильтрации переменных		
if($menu=='nas'){@include("nas.php");die;}//подключаем файл настройки игрока
//настройки

$user=@intval($_GET['user']);//для userov
$mob=@intval($_GET['mob']);//для мобов
$log=@intval($_GET['log']);//для log'ов
$user = trim($user);
$user=strtolower($user);
$user=addslashes($user);
$user = substr($user, 0, 3);
if (!preg_match('|^[0-9]+$|i', $user) AND isset($user)) {
        echo "недопустимые символы в переменной";
        die;
    }
$mob=strtolower($mob);
$mob=addslashes($mob);
$mob = substr($mob, 0, 3);
if (!preg_match('|^[0-9]+$|i', $mob) AND isset($mob)) {
        echo "недопустимые символы в переменной";
        die;
    }
$log=strtolower($log);
$log=addslashes($log);
$log = substr($log, 0, 3);
if (!preg_match('|^[0-9]+$|i', $log) AND isset($log)) {
        echo "недопустимые символы в переменной";
        die;
    }
$db->openDB();
$t=time();
$typeA = mysql_query("SET NAMES cp1251");
$typeA=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$_SESSION[s]\" AND IL_NO=\"1\"");
@$typC=mysql_num_rows($typeA);
if($typC==0){$typeW=mysql_query("UPDATE users SET TP_ATTCK=\"кулаками\" where NICK=\"$_SESSION[s]\"");}
while(@$type2=mysql_fetch_assoc($typeA)){
if($typC==1){$typeW=mysql_query("UPDATE users SET TP_ATTCK=\"$type2[IL_NAME]\" where NICK=\"$_SESSION[s]\"");}
}
if(isset($use)){
  $useZ = mysql_query("SET NAMES cp1251");
  $useZ = mysql_query("SELECT * FROM inv WHERE ID_IL=\"$idT\"");
 //здесь использование сертификатов га выдачу 1000 монет
 while(@$useZZ=mysql_fetch_assoc($useZ)){
  if($use=='i.q.serf' AND isset($idT)){echo'
 <div class="main_title"><center><b><img src="img/success.png"> вы получили 1000 монет
 <br/><img src="img/bad.png"> вы потеряли 1 сертификат на выдачу 1000 золота</b></center></div> ';
 $ser1 = mysql_query("SET NAMES cp1251");
 $ser1=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
 while($ser2=mysql_fetch_assoc($ser1)){
 $monSF2=$ser2[money]+1000;
 $monSF=mysql_query("UPDATE users SET money=\"$monSF2\" WHERE NICK=\"$_SESSION[s]\"");
 }
 $udSERF=mysql_query("DELETE FROM inv WHERE ID_IL=\"$idT\" AND ID_USERS=\"$_SESSION[s]\"");
 }
 }

 

 }
 
if($menu=="main" AND $src=="n_c_rat_1" OR $src=="n_c_rat_2"){echo"неверный запрос!";die;}

#########################################обновляем вещи у торговца спустя 2 часа
#########################################удаляем вещи которые лежат на земле более 8 минут
$delete=mysql_query("SELECT * FROM items_world WHERE $t-TIME_WORLD_ITEMS>500");
while(@$delete2=mysql_fetch_assoc($delete))
{
if($t-$delete2[TIME_WORLD_ITEMS]>500){
$take_its2=mysql_query("DELETE FROM items_world WHERE $t-$delete2[TIME_WORLD_ITEMS]>500");
}
}
$sell_all_items = mysql_query("SET NAMES cp1251");
$sell_all_items=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$_SESSION[s]\" AND ID_IL=\"$idT\"");
while(@$sell_all_items2=mysql_fetch_assoc($sell_all_items)){

$cost=round($sell_all_items2[IL_COST]/5);   
if($itemsMenu=="sell"){echo" [<a href=\"game.php\">в игру</a>]";
if($speak=='alter'){echo"[<a href=\"game.php?speak=alter&id=alter_sell\">назад</a>]";}
if($speak=='arant'){echo"[<a href=\"game.php?speak=arant&id=arant_sell\">назад</a>]";}
echo"<br/><div class=\"main_title\"><center><b>вы продали <b>$sell_all_items2[IL_NAME]</b> за $cost золотых</b></center></div>";
$take_it2=mysql_query("DELETE FROM inv WHERE ID_IL=\"$idT\"");
$moneySELL = mysql_query("SET NAMES cp1251");       
$moneySELL=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while(@$moneySELL2=mysql_fetch_assoc($moneySELL))
{
$monSELL=$moneySELL2[money]+$cost;

}
$moneySELL=mysql_query("UPDATE users SET money='$monSELL' WHERE NICK=\"$_SESSION[s]\"");

?>
</div></div>
<div class="line"></div>
<div class='main_foot'><div class=center><div class=grey><div class=small><div class=foot><a href=pvp.php?r=381966>Главная</a> | <a href=forum.php>Форум</a> | <a href=lib.php?cat=rules>Правила</a> | <a href=lib.php>Помощь</a> | <a href=support.php>Поддержка</a></div></div><div class='foot_margin'></div><div class=smallest><?echo date("H:i");?> <br/><div class='min_margin'></div>&copy; 2013 <u>Мрак Подземелья</u></div></div></div></div></div>

<?
die;}
}
//если кол-во больше 1 и такой вещи в инвентаре у играка нету
//то INSERT,если есть то UPDATE 
$worlds_itemsA = mysql_query("SET NAMES cp1251");                       
$worlds_itemsA=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while(@$worlds_itemsB=mysql_fetch_assoc($worlds_itemsA)){
$worlds_items = mysql_query("SET NAMES cp1251"); 
$worlds_items=mysql_query("SELECT * FROM items_world WHERE LOC_WORLD_ITEMS=\"$worlds_itemsB[loc]\" AND ID_WORLD_ITEMS=\"$idT\"");
}
while(@$worlds_items2=mysql_fetch_assoc($worlds_items)){
if($worlds_items2[IL_COUNT]>1 AND isset($take))
{
if($i_c>$worlds_items2[IL_COUNT]){echo"<a href=\"game.php\">в игру</a>неверная сумма либо столько предметов нету на земле";die;}
$worlds_itemsgg = mysql_query("SET NAMES cp1251");
$worlds_itemsgg=mysql_query("SELECT * FROM items_world WHERE KEY_WORLD_ITEMS=\"$take\"");//зделать определение веса
while(@$worlds_itemsggg=mysql_fetch_assoc($worlds_itemsgg)){
//if($query3[MIN_VES]+$worlds_itemsggg[IL_VES]>$query3[MAX_VES]){echo"предмет сильно тяжелый";die;}
}
if($worlds_items2[IL_COUNT]>1 AND isset($take) AND isset($i_c)){
$provI = mysql_query("SET NAMES cp1251");
$provI=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$_SESSION[s]\" AND IL_KEY=\"$take\"");
@$PRIC=mysql_num_rows($provI);
if($PRIC==0){
$podn = mysql_query("SET NAMES cp1251");
$podn=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while($podn2=mysql_fetch_assoc($podn)){
if($podn2[statys]==1){echo"вы призрак и не можете брать предметы!";die;}}
echo"вы подняли $take $i_c шт.";//INSERT
}
if($PRIC>0){
$podn3 = mysql_query("SET NAMES cp1251");
$podn3=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while($podn4=mysql_fetch_assoc($podn3)){
if($podn4[statys]==1){echo"вы призрак и не можете брать предметы!";die;}}
echo"вы подняли $take $i_c шт.";//UPDATE
}
die;}

echo"укажите кол-во:<form action=\"game.php\" method=\"get\">
    <input name=\"NICK\" value=\"$_SESSION[s]\" type=\"hidden\">
    <input name=\"take\" value=\"$take\" type=\"hidden\">
    <input name=\"i_c\" maxlength=\"15\" size=\"2\" class=\"text\">
	 <input name=\"idT\" value=\"$idT\" type=\"hidden\">
    
    <input type=\"submit\" value=\"ок\" class=\"submit\">
    </form>";die;
}








if($worlds_items2[IL_COUNT]==1 AND isset($take))
{
$worlds_items_take = mysql_query("SET NAMES cp1251");
$worlds_items_take=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while(@$worlds_items_take2=mysql_fetch_assoc($worlds_items_take)){
$take_p_ves = mysql_query("SET NAMES cp1251");
$take_p_ves=mysql_query("SELECT * FROM items_world WHERE ID_WORLD_ITEMS=\"$idT\"");
while(@$take_p_ves2=mysql_fetch_assoc($take_p_ves)){
$itPR = mysql_query("SET NAMES cp1251");
$itPR=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$_SESSION[s]\"");
$itPR2=mysql_num_rows($itPR);
if($itPR2+1>=$worlds_items_take2[MAX_VES])
{ 
echo" 
 

 <center><b><a href=\"game.php\">в игру</a><br/>
<center><font color=\"red\">Ошибка!</font></center>предмет сильно тяжелый для помещения в рюкзак,либо у вас не хватает свободного места!<br/></b></center>";
die;
}
} 
}

if(isset($take)){
$worlds_items_takeAA = mysql_query("SET NAMES cp1251");
$worlds_items_takeAA=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$take_p_vesBB = mysql_query("SET NAMES cp1251");
$take_p_vesBB=mysql_query("SELECT * FROM items_world WHERE ID_WORLD_ITEMS=\"$idT\"");
while(@$worlds_items_takeAAA=mysql_fetch_assoc($worlds_items_takeAA)){ 
while(@$take_p_vesBBB=mysql_fetch_assoc($take_p_vesBB)){
$IT2ag = mysql_query("SET NAMES cp1251");
$IT2ag=mysql_query("SELECT * FROM inv WHERE ID_USERS='$_SESSION[s]'");
@$IT2bg=mysql_num_rows($IT2a1);
if($IT2bg+1>=$worlds_items_takeAAA[MAX_VES])
{ 
echo" 
 

 <center><b><a href=\"game.php\">в игру</a><br/>
<center><font color=\"red\">Ошибка!</font></center>предмет сильно тяжелый для помещения в рюкзак,либо у вас не хватает свободного места!<br/></b></center>";
die;
} 
$take2=strtr("i.w.s.glefa","глефа",$take2);
$take2=strtr("i.w.s.steel","стальной меч",$take2);
$take2=strtr("i.w.s.short","короткий меч",$take2);
$take2=strtr("i.w.a.lesnik","топор лесника",$take2);
$take2=$take;
$take2=strtr("i.meatys","ящик с едой",$take2);
//echo"<a href=\"game.php\">в игру</a>вы подняли $take";


#####################################здесь пока не сделанно нужно переделать параметры
$provI2 = mysql_query("SET NAMES cp1251");
$provI2=mysql_query("SELECT * FROM inv WHERE IL_NAME=\"$take\"");
@$PRIC2=mysql_num_rows($provI2);
if($PRIC2>0 AND $take!="стальной меч" AND $take!="короткий меч" AND $take!="глефа"){
$yyyER = mysql_query("SET NAMES cp1251");
$yyyER=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while($yyyER2=mysql_fetch_assoc($yyyER)){
if($yyyER2[statys]==1){echo"вы призрак и не можете брать предметы!";die;}
echo"берем 1 предмет функция UPDATE";die;}}
if($PRIC2==0 OR $PRIC2>0 AND $take=="стальной меч" OR $take=="короткий меч" OR $take=="глефа"){
$yyyER4 = mysql_query("SET NAMES cp1251");
$yyyER4=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while($yyyER3=mysql_fetch_assoc($yyyER4)){
if($yyyER3[statys]==1){echo"вы призрак и не можете брать предметы!";die;}}
echo" 
 
 

<a href=\"game.php\">в игру</a><br/>вы взяли $take2 1 шт.

 ";
$take_it = mysql_query("SET NAMES cp1251");
if($take!="ящик с едой"){$take_it=mysql_query("INSERT INTO inv (IL_LVL,IL_CLASS,IL_ALL_CLASS,IL_NAME,IL_COST,IL_KEY,IL_MIN_DMG,IL_MAX_DMG,IL_DEF,IL_STR,IL_DEX,IL_INT,IL_SPD, 	IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,IL_IMAGE,IL_SRC,IL_NO,ID_USERS, 	IL_SHANS_BLOCK,IL_VES,IL_COUNT) VALUES ('$worlds_items2[LVL_WORLD_ITEMS]','$worlds_items2[CLASS_WORLD_ITEMS]','$worlds_items2[ALL_CLASS_WORLD_ITEMS]','$worlds_items2[NAME_WORLD_ITEMS]','$worlds_items2[COST_WORLD_ITEMS]','$worlds_items2[KEY_WORLD_ITEMS]','$worlds_items2[MINDMG_WORLD_ITEMS]'
,'$worlds_items2[MAXDMG_WORLD_ITEMS]','$worlds_items2[DEF_WORLD_ITEMS]','$worlds_items2[STR_WORLD_ITEMS]','$worlds_items2[DEX_WORLD_ITEMS]','$worlds_items2[INT_WORLD_ITEMS]','$worlds_items2[SPD_WORLD_ITEMS]','$worlds_items2[MINPROCH_WORLD_ITEMS]','$worlds_items2[MAXPROCH_WORLD_ITEMS]','$worlds_items2[TREBUET_WORLD_ITEMS]','$worlds_items2[IMG_WORLD_ITEMS]','$worlds_items2[SRC_WORLD_ITEMS]','0','$_SESSION[s]','$worlds_items2[SHANSBLOCK_WORLD_ITEMS]','$worlds_items2[IL_VES]','1'
)");}
$ite=mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.meatys\" AND ID_USERS=\"$_SESSION[s]\"");
$ite2=mysql_fetch_assoc($ite);
if($take=="i.meatys"){

$itco=$ite2[IL_COUNT]+1;
//$upITem=mysql_query("UPDATE inv SET IL_COUNT=\"$itco\" WHERE IL_KEY=\"i.meatys\" AND ID_USERS=\"$_SESSION[s]\"");
}
$worlds_itemsAA = mysql_query("SET NAMES cp1251");
$worlds_itemsAA=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while(@$worlds_itemsBB=mysql_fetch_assoc($worlds_itemsAA))
{ 
$ves_take=$worlds_items_take2[MIN_VES]+$worlds_items2[IL_VES];
$ves_ves=mysql_query("UPDATE users WHERE MIN_VES=\"$ves_take\"");
}
$take_it2=mysql_query("DELETE FROM items_world WHERE ID_WORLD_ITEMS=\"$idT\"");
die;}
}
} 
} 
}
}
 //подключаем файл перекодировки вещей
 @include("tr_it.php");
 @include("useelix.php");//подключаем файл использования зелий
if(!preg_match('|^[0-9]+$|i', $i_c) AND isset($i_c)){echo"введенно не верное число";die;}
if(!preg_match('|^[0-9]+$|i', $count) AND isset($count)){echo"неверный формат данных";die;}

if($count>1 AND isset($count) AND $id=="alter_buy"){echo"Попытка корректировки данных";die;}
$t = time();
//айпи игроков
$ip = $_SERVER['REMOTE_ADDR'];
//пеерводим переменную NICK в $aNickName
$aNickName = $_GET['NICK'];
//защита от вредных символов
$db->openDB();
$quests_dOSK = mysql_query("SET NAMES cp1251");
$quests_dOSK=mysql_query("SELECT * FROM quests WHERE quests_users=\"$_SESSION[s]\" AND quests_name=\"$del\"");
@$count_q=mysql_num_rows($quests_dOSK);
if(isset($del) AND $count_q==0){echo" 
 
 
<div class=\"main_title\">
 <center><b><img src=\"img/bad.png\"> <font color=\"red\">ошибка удаления квеста</font></b></center>
</div>
 <div style=\"padding-left:10px\">
 <a href=\"game.php\"><b>в игру</b></a></div>
";die;}

if(isset($del) AND $i==1 AND isset($i)){
echo" 
 
 

<div class=\"main_title\"><center><b>квест отменен</b></center></div>

 
 
<a href=\"game.php\">в игру</a><br/><b>квест <font color=\"red\"><u>$del_d</u></font> провален</b>";
$oskolki_q=mysql_query("DELETE FROM quests WHERE quests_users=\"$_SESSION[s]\" AND quests_name=\"$del\"");

die;}

if(isset($del) AND $count_q>0){echo" 
 
 

 <div class=\"main_title\"><center><b>Квесты</b></center></div>

 <div style=\"padding-left:10px;padding-bottom:10px\">
 <a href=\"game.php\">в игру</a><br/><b>вы уверенны что хотите отказаться от квеста <b><u>$del_d ?</u></b><br/></b></font><a href=\"game.php?del=$del&i=1\"><img src=\"img/success.png\" alt=\"c\" width=\"16\" height=\"16\"> да</a>|<a href=\"questsBOOK.php\"><img src=\"img/bad.png\" alt=\"c\" width=\"16\" height=\"16\"> нет</a>
</div>
";
?>
</div><div class='line'></div><div class='main_foot'><div class=center><div class=grey><div class=small><div class=foot><a href=pvp.php?r=381966>Главная</a> | <a href=forum.php>Форум</a> | <a href=lib.php?cat=rules>Правила</a> | <a href=lib.php>Помощь</a> | <a href=support.php>Поддержка</a></div></div><div class='foot_margin'></div><div class=smallest><?echo date("H:i");?>, <?echo $total_time.' с.';?><br/><div class='min_margin'></div>&copy; 2013 <u>Мрак Подземелья</u></div></div></div></div></div>
<?die;}



$db->openDB();
    $quests = mysql_query("SET NAMES cp1251");
    $quests=mysql_query("SELECT * FROM quests WHERE quests_users=\"$_SESSION[s]\" AND quests_name=\"$info\"");
        //здесь описание всех квестов
        while(@$quests2=mysql_fetch_assoc($quests)){ 
            //перекодируем в русские символы
 
    //if(isset($info)){echo"<a href=\"game.php\">в игру</a>";}
	
    @include("descQvest.php");

 }
//не даем пользователю ввести вредные символы в логине!
//если логин пуст выводим ошибку
if($_SESSION[s]==""){echo" 

 <a href=\"ds.php\">на главную</a>логин не может быть пустым! ";die;}
//защита от вредных символов
if (!preg_match('|^[0-9a-z_]+$|i', $_SESSION[s])) {
        echo " 

 <a href=\"ds.php\">на главную</a>Недопустимые символы в логине ";
        die;
    }
$db->openDB();
#здесь если данные совпадают
$query2 = mysql_query("SET NAMES cp1251");
$query2 = mysql_query("SELECT * FROM users,npc_world WHERE NICK=\"$_SESSION[s]\"");	
while (@$query3 = mysql_fetch_assoc($query2)) {
if(isset($pi) AND $t-$query3[gametime]<600 AND $pi!="inv")
{
$pc11 = mysql_query("SET NAMES cp1251");
$pcl1 = mysql_query("SELECT * FROM users WHERE NICK=\"$pi\" AND loc=\"$query3[loc]\" AND $t-gametime<600");
$p_off = mysql_query("SET NAMES cp1251");
$p_off = mysql_query("SELECT * FROM users WHERE NICK=\"$pi\" AND $t-gametime>600");
if($p_offC=mysql_num_rows($p_off)>0){echo'данный пользователь находится в оффлайне';die;}
$p_loc = mysql_query("SET NAMES cp1251");
$p_loc = mysql_query("SELECT * FROM users WHERE NICK=\"$pi\" AND loc!=\"$query3[loc]\"");
if($p_locC=mysql_num_rows($p_loc)>0){echo'данный пользователь находится в другой локации';die;}
while($pcl2=mysql_fetch_assoc($pcl1)){
if($pi==$_SESSION[s]){echo"<div class=\"menu\"><p><li></li><a href=\"game.php\">в игру</a><li></li><div class=\"main_title\"><center><font color=\"red\">вы не можете осматривать самого себя</font></center></div></p></div>";
?>
</div><div class='line'></div><div class='main_foot'><div class=center><div class=grey><div class=small><div class=foot><a href=pvp.php?r=381966>Главная</a> | <a href=forum.php>Форум</a> | <a href=lib.php?cat=rules>Правила</a> | <a href=lib.php>Помощь</a> | <a href=support.php>Поддержка</a></div></div><div class='foot_margin'></div><div class=smallest><?echo date("H:i");?>, <?echo $total_time.' с.';?><br/><div class='min_margin'></div>&copy; 2013 <u>Мрак Подземелья</u></div></div></div></div></div>

<?
die;}
echo"<div class=\"menu\">  <li></li><a href=\"game.php\">в игру</a><li></li>
  <li></li><a href=\"msg.php?pi=$pcl2[id]&piD=$pcl2[NICK]\">+в друзья</a><li></li>

  <li></li><a href=\"game.php?prigl=1&vis=$pcl2[NICK]\">+ в клан</a><li></li>

  <li></li><a href=\"transfer.php?p=$pcl2[NICK]\">передать</a><li></li>
  <li></li><a href=\"look_U.php?p=$pcl2[NICK]\">инфо</a><li></li></div>

 ";
 ?>
 </div><div class='line'></div><div class='main_foot'><div class=center><div class=grey><div class=small><div class=foot><a href=pvp.php?r=381966>Главная</a> | <a href=forum.php>Форум</a> | <a href=lib.php?cat=rules>Правила</a> | <a href=lib.php>Помощь</a> | <a href=support.php>Поддержка</a></div></div><div class='foot_margin'></div><div class=smallest><?echo date("H:i");?>, <?echo $total_time.' с.';?><br/><div class='min_margin'></div>&copy; 2013 <u>Мрак Подземелья</u></div></div></div></div></div>

 <?
}
die;} 
if(isset($i_c)){
$dci = mysql_query("SET NAMES cp1251");
$dci=mysql_query("SELECT * FROM inv WHERE ID_IL='$i' AND ID_USERS='$_SESSION[s]'");
while(@$dci2=mysql_fetch_assoc($dci)){
$db->openDB();
}
die;}
//<input name=\"drop\" value=\"$drop\" type=\"hidden\">
if($plus=="str" AND $mp==1){
if($c_points>$query3[SKILL_POINTS]){
?>
<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение силы</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="10" align="center" valign="top"  bgcolor="#A23232">
<b><font color="#FFE7BA">  У вас нету столько очков распределения </font></b>
</td></tr>

</table>
<?include("footer.php");?>
<?die;}
if($query3[SKILL_STR]+$c_points>300){
?>

<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение силы</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="10" align="center" valign="top"  bgcolor="#A23232">
<b><font color="#FFE7BA">  Максимальное значение одного параметра 300 </font></b>
</td></tr>
<tr>
<td height="60" align="align" valign="top"  bgcolor="#FFE7BA" style="padding:10px">
<b><font color="#A23232"><b><font color="#A23232">  Превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого </font></b>
</td></tr>
</table>
<?include("footer.php");?>
<?
die;}
?>
<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение силы</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="30" align="center" valign="top"  bgcolor="#A23232"><b><font color="#FFE7BA">Вы повысили силу на <?echo $c_points;?></font></b>

</td></tr></table>
<?include("footer.php");?>
<?
$str_plus=$query3[SKILL_STR]+$c_points;
$str_points=$query3[SKILL_POINTS]-$c_points;
$str_query=mysql_query("UPDATE users SET SKILL_POINTS=\"$str_points\",SKILL_STR=\"$str_plus\" WHERE NICK=\"$_SESSION[s]\"");
$mndmg1=round($c_points/5);

$prov_weapon=mysql_query("SELECT * FROM inv WHERE IL_NO='1' AND ID_USERS=\"$_SESSION[s]\"");
$prov_weapon2=mysql_fetch_assoc($prov_weapon);
$enddmg2=$query3[DAMAGEmin]+$mndmg1;
$enddmg3=$query3[DAMAGEmax]+$mndmg1;
//echo $query3[DAMAGEmin];die;
//echo $mndmg1;
$provj=mysql_query("SELECT * FROM inv WHERE IL_NO='1' AND ID_USERS=\"$_SESSION[s]\"");
if($query3[class_pers]==3 OR $query3[class_pers]==4 OR $query3[class_pers]==5 OR $query3[class_pers]==7 AND mysql_num_rows($provj)==1){
$str_query=mysql_query("UPDATE users SET DAMAGEmin=\"$enddmg2\",DAMAGEmax=\"$enddmg3\" WHERE NICK=\"$_SESSION[s]\"");}
die;}
if($plus=="dex" AND $mp==1){
if($c_points>$query3[SKILL_POINTS]){
?>
<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение ловкости</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="10" align="center" valign="top"  bgcolor="#A23232">
<b><font color="#FFE7BA">  У вас нету столько очков распределения </font></b>
</td></tr>

</table>
<?include("footer.php");?>
<?
die;}
if($query3[SKILL_DEX]+$c_points>300)
{
?>
<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение ловкости</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="10" align="center" valign="top"  bgcolor="#A23232">
<b><font color="#FFE7BA">  Максимальное значение одного параметра 300 </font></b>
</td></tr>
<tr>
<td height="60" align="align" valign="top"  bgcolor="#FFE7BA" style="padding:10px">
<b><font color="#A23232"><b><font color="#A23232">  Превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого </font></b>
</td></tr>
</table>
<?include("footer.php");?>
<?
die;}
?>
<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение ловкости</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="30" align="center" valign="top"  bgcolor="#A23232"><b><font color="#FFE7BA">Вы повысили ловкость на <?echo $c_points;?></font></b>

</td></tr></table>
<?include("footer.php");?>
<?

$dex_plus=$query3[SKILL_DEX]+$c_points;
$dex_points=$query3[SKILL_POINTS]-$c_points;
$krit=$query3[SKILL_DEX]+$c_points;
$krit2=round($krit/15+1);
$uklon=$query3[SKILL_DEX]+$c_points;
$uklon2=round($uklon/15+1);
$dex_query=mysql_query("UPDATE users SET SKILL_POINTS=\"$dex_points\",SKILL_DEX=\"$dex_plus\",SHANS_KRIT=\"$krit2\",U_UKLON=\"$uklon2\" WHERE NICK=\"$_SESSION[s]\"");
$mndmg1=round($c_points/5);

$prov_weapon=mysql_query("SELECT * FROM inv WHERE IL_NO='1' AND ID_USERS=\"$_SESSION[s]\"");
$prov_weapon2=mysql_fetch_assoc($prov_weapon);
$enddmg2=$query3[DAMAGEmin]+$mndmg1;
$enddmg3=$query3[DAMAGEmax]+$mndmg1;
//echo $query3[DAMAGEmin];die;
//echo $mndmg1;
$provj=mysql_query("SELECT * FROM inv WHERE IL_NO='1' AND ID_USERS=\"$_SESSION[s]\"");
if($query3[class_pers]==1 AND mysql_num_rows($provj)==1){
$dex_query=mysql_query("UPDATE users SET DAMAGEmin=\"$enddmg2\",DAMAGEmax=\"$enddmg3\" WHERE NICK=\"$_SESSION[s]\"");}
die;}

if($plus=="int" AND $mp==1){
if($c_points>$query3[SKILL_POINTS]){
?>
<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение ловкости</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="10" align="center" valign="top"  bgcolor="#A23232">
<b><font color="#FFE7BA">  У вас нету столько очков распределения </font></b>
</td></tr>

</table>
<?include("footer.php");?>
<?
die;}
if($query3[SKILL_INT]+$c_points>300){

?>
<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение интеллекта</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="10" align="center" valign="top"  bgcolor="#A23232">
<b><font color="#FFE7BA">  Максимальное значение одного параметра 300 </font></b>
</td></tr>
<tr>
<td height="60" align="align" valign="top"  bgcolor="#FFE7BA" style="padding:10px">
<b><font color="#A23232"><b><font color="#A23232">  Превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого </font></b>
</td></tr>
</table>
<?include("footer.php");?>
<?
die;}
?>
<table width="450" align="center">
<tr><td width="171" height="35" align="center" bgcolor="#A23232" ><b><font color="#FFE7BA">
Повышение интеллекта</font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="game.php"><img src="img/attck.png">
В игру</div></font></b>
</td></tr>
<tr><td width="171" height="35" align="left" bgcolor="#FFE7BA"><b><font color="#A23232">
<div class="menu"><a href="skills.php"><img src="img/star.png">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height="30" align="center" valign="top"  bgcolor="#A23232"><b><font color="#FFE7BA">Вы повысили интеллект на <?echo $c_points;?></font></b>

</td></tr></table>
<?include("footer.php");?>
<?
$int_plus=$query3[SKILL_INT]+$c_points;
$int_points=$query3[SKILL_POINTS]-$c_points;
$int_query=mysql_query("UPDATE users SET SKILL_POINTS=\"$int_points\",SKILL_INT=\"$int_plus\" WHERE NICK=\"$_SESSION[s]\"");
$mndmg1=round($c_points/5);

$prov_weapon=mysql_query("SELECT * FROM inv WHERE IL_NO='1' AND ID_USERS=\"$_SESSION[s]\"");
$prov_weapon2=mysql_fetch_assoc($prov_weapon);
$enddmg2=$query3[MG_DMGmin]+$mndmg1;
$enddmg3=$query3[MG_DMGmax]+$mndmg1;
//echo $query3[DAMAGEmin];die;
//echo $mndmg1;
$provj=mysql_query("SELECT * FROM inv WHERE IL_NO='1' AND ID_USERS=\"$_SESSION[s]\"");
if($query3[class_pers]==2 OR $query3[class_pers]==6 OR $query3[class_pers]==8 AND mysql_num_rows($provj)==1){
$dex_query=mysql_query("UPDATE users SET MG_DMGmin=\"$enddmg2\",MG_DMGmax=\"$enddmg3\" WHERE NICK=\"$_SESSION[s]\"");}

die;}
if($query3[SKILL_POINTS]>0 AND $plus=="str" AND isset($plus))
{
if($query3[SKILL_STR]==300){echo" <a href=\"game.php\">в игру</a>|<a href=\"skills.php\">назад</a><br/><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}
 if($query3[SKILL_POINTS]>1){echo"
<table width=\"450\" align=\"center\">
<tr><td width=\"171\" height=\"28\" bgcolor=\"#A23232\" align=\"center\" ><b><font color=\"#FFE7BA\">
Повышение силы</font></b>
</td></tr>
<tr><td width=\"171\" height=\"35\" align=\"left\" bgcolor=\"#FFE7BA\"><b><font color=\"#A23232\">
<div class=\"menu\"><a href=\"game.php\"><img src=\"img/attck.png\">
В игру</div></font></b>
</td></tr>
<tr><td width=\"171\" height=\"35\" align=\"left\" bgcolor=\"#FFE7BA\"><b><font color=\"#A23232\">
<div class=\"menu\"><a href=\"skills.php\"><img src=\"img/star.png\">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height=\"60\" align=\"center\" valign=\"top\"  bgcolor=\"#FFE7BA\">
  <p><b><font color=\"#A23232\">Введите кол-во:</font></b></p>
<form action=\"game.php\" method=\"GET\">
 <input name=\"plus\" value=\"str\" type=\"hidden\">
 <input name=\"mp\" value=\"1\" type=\"hidden\">
 <input name=\"c_points\" maxlength=\"3\" size=\"2\" class=\"text\">
 
 <input type=\"submit\" value=\"ок\" class=\"button\">
 </form>
</td></tr></table>
 ";
 include("footer.php");
 die;}
 if($query3[SKILL_POINTS]==1){
 if($query3[SKILL_STR]+1>300){echo" <a href=\"game.php\">в игру</a>|<a href=\"skills.php\">назад</a><br/><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}

 echo" <a href=\"game.php\">в игру</a>|<a href=\"skills.php\">назад</a><br/>вы повысили силу на 1 !";
$str_plus_one=$query3[SKILL_STR]+1;
$str_points_one=$query3[SKILL_POINTS]-1;
 $str_query_one=mysql_query("UPDATE users SET SKILL_POINTS=\"$str_points_one\",SKILL_STR=\"$str_plus_one\" WHERE NICK=\"$_SESSION[s]\"");

 die;}
die;}
if($query3[SKILL_POINTS]==0 AND $plus=="str" AND isset($plus)){echo" <a href=\"game.php\">в игру</a>|<a href=\"skills.php\">назад</a><br/>у вас нету очков распределения";die;}
if($query3[SKILL_POINTS]>0 AND $plus=="dex" AND isset($plus)){
if($query3[SKILL_DEX]==300){echo"<a href=\"game.php\">в игру</a>|<a href=\"skills.php\">назад</a><br/><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}

echo"
<table width=\"450\" align=\"center\">
<tr><td width=\"171\" height=\"28\" bgcolor=\"#A23232\" align=\"center\" ><b><font color=\"#FFE7BA\">
Повышение ловкости</font></b>
</td></tr>
<tr><td width=\"171\" height=\"35\" align=\"left\" bgcolor=\"#FFE7BA\"><b><font color=\"#A23232\">
<div class=\"menu\"><a href=\"game.php\"><img src=\"img/attck.png\">
В игру</div></font></b>
</td></tr>
<tr><td width=\"171\" height=\"35\" align=\"left\" bgcolor=\"#FFE7BA\"><b><font color=\"#A23232\">
<div class=\"menu\"><a href=\"skills.php\"><img src=\"img/star.png\">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height=\"60\" align=\"center\" valign=\"top\"  bgcolor=\"#FFE7BA\">
  <p><b><font color=\"#A23232\">Введите кол-во:</font></b></p>
<form action=\"game.php\" method=\"GET\">
 <input name=\"plus\" value=\"dex\" type=\"hidden\">
 <input name=\"mp\" value=\"1\" type=\"hidden\">
 <input name=\"c_points\" maxlength=\"3\" size=\"2\" class=\"text\">
 
 <input type=\"submit\" value=\"ок\" class=\"button\">
 </form>
</td></tr></table>
 ";
 include("footer.php");
 die;}
if($query3[SKILL_POINTS]==0 AND $plus=="dex" AND isset($plus)){echo"<a href=\"game.php\">в игру</a>|<a href=\"skills.php\">назад</a><br/>у вас нету очков распределения";die;}
if($query3[SKILL_POINTS]>0 AND $plus=="int" AND isset($plus)){
if($query3[SKILL_INT]==300){echo"<a href=\"game.php\">в игру</a>|<a href=\"skills.php\">назад</a><br/><font color=\"red\">максимальное значение одного параметра 300</font>превышенно,максимальное значение данного параметра,либо вы собираетесь ввести число больше допустимого";die;}

echo"
<table width=\"450\" align=\"center\">
<tr><td width=\"171\" height=\"28\" bgcolor=\"#A23232\" align=\"center\" ><b><font color=\"#FFE7BA\">
Повышение интеллекта</font></b>
</td></tr>
<tr><td width=\"171\" height=\"35\" align=\"left\" bgcolor=\"#FFE7BA\"><b><font color=\"#A23232\">
<div class=\"menu\"><a href=\"game.php\"><img src=\"img/attck.png\">
В игру</div></font></b>
</td></tr>
<tr><td width=\"171\" height=\"35\" align=\"left\" bgcolor=\"#FFE7BA\"><b><font color=\"#A23232\">
<div class=\"menu\"><a href=\"skills.php\"><img src=\"img/star.png\">
Навыки</a></div></font></b>
</td></tr>
<tr>
<td height=\"60\" align=\"center\" valign=\"top\"  bgcolor=\"#FFE7BA\">
  <p><b><font color=\"#A23232\">Введите кол-во:</font></b></p>
<form action=\"game.php\" method=\"GET\">
 <input name=\"plus\" value=\"int\" type=\"hidden\">
 <input name=\"mp\" value=\"1\" type=\"hidden\">
 <input name=\"c_points\" maxlength=\"3\" size=\"2\" class=\"text\">
 
 <input type=\"submit\" value=\"ок\" class=\"button\">
 </form>
</td></tr></table>
 ";
 include("footer.php");
 die;}
if($query3[SKILL_POINTS]==0 AND $plus=="int" AND isset($plus)){
echo"<a href=\"game.php\">в игру</a>|<a href=\"skills.php\">назад</a><br/>у вас нету очков распределения";die;}
//if(){echo"такой навык не найден или вы пытатесь повысить не существующий навык";break;
//использование всех предметов


if(substr($li,0,4)=="i.a."){
$look_itemsT = mysql_query("SET NAMES cp1251");
$look_itemsT=mysql_query("SELECT * FROM  inv WHERE IL_KEY=\"$li\" AND 
ID_IL=\"$idT\"");
while($look_itemsT2=mysql_fetch_assoc($look_itemsT)){
echo"<a href=\"game.php?speak=karter&id=karter_buy&cat=war\">назад</a><br/>Тип:<br/>";
echo'название:'.$look_itemsT2[IL_NAME].'<br/>';
echo'броня:'.$look_itemsT2[IL_DEF].'<br/>';
echo'требует силы:'.$look_itemsT2[IL_DEX].'<br/>';
echo'требует ловкости:'.$look_itemsT2[IL_STR].'<br/>';
echo'требует интеллекта:'.$look_itemsT2[IL_INT].'<br/>';
echo'бонусы:
';
if($look_itemsT2[IL_KEY]=='i.w.j.hiller'){echo'проверка';}//посох целителя
if($look_itemsT2[IL_KEY]=='i.a.h.hiller'){echo'мана +2';}//посох целителя
if($look_itemsT2[IL_KEY]=='i.a.e.hillplash'){echo'мана +2';}//плащ целителя
echo'<br/>';
}
die;
}



//if(!isset($_POST[$password])){echo"не все данные были введены,вернитесь на главую страницу и повторите вход";die;}
//здесь снаряжение для новичков
include("sunduk/sunduk.php");
if($_SESSION[s]==$query3[NICK] AND $t-$query3[gametime]<600){
              
if($query3[statys]!=1){echo"";}
//если мин.хп больше макс.хп делаем запрос на присваиваивание мин.хп=макс.хп 
if($query3[MINhp]>$query3[MAXhp]){$update_statys = mysql_query("UPDATE users SET MINhp=\"$query3[MAXhp]\" WHERE NICK=\"$_SESSION[s]\"");}
//если мин.мп больше макс.мп делаем запрос на присваиваивание мин.мп=макс.мп 
if($query3[MINmp]>$query3[MAXmp]){$update_statys = mysql_query("UPDATE users SET MINmp=\"$query3[MAXmp]\" WHERE NICK=\"$_SESSION[s]\"");}
//если статус хп равно 0 и статус равен нуля,то заменяем статус на 1 и пишем что персонаж призрак
if($query3[MINhp]==0 AND $query3[statys]==0){$update_statys = mysql_query("UPDATE users SET statys=\"1\" WHERE NICK=\"$_SESSION[s]\"");
}
//если хп больше 0 и статус равен 1 ,то заменяем статус 1 на 0 и пишем что персонаж не призрак
if($query3[MINhp]>0 AND $query3[statys]==1){$update_statys = mysql_query("UPDATE users SET statys=\"0\" WHERE NICK=\"$_SESSION[s]\"");
}

//ЗДЕСЬ ОСНОВНОЙ ДИЗАЙН ГЛАВНОЙ СТРАНИЦЫ ИГРЫ
?>


<?
if (!preg_match('|^[0-9a-z_]+$|i', $cat) AND isset($cat)) {
        echo "<a href=\"game.php\">в игру</a>недопустимые символы в переменной";
        die;
    }
if (!preg_match('|^[0-9a-z_]+$|i', $id) AND isset($id)) {
        echo "<a href=\"game.php\">в игру</a>недопустимые символы в переменной";
        die;
    }


 
	
//тут по поводу торговле
if($count==0 AND isset($count)){echo"<font color=\"red\">кол-во не может быть равно 0</font>
<a href=\"game.php?speak=alter&id=buy\">назад</a>";die;}
//не даем пользователю ввести вредные символы
if (!preg_match('|^[0-9]+$|i',$count) AND isset($count)) {
echo "<font color=\"red\">недопустимые символы в кол-ве<a href=\"game.php?speak=alter&id=buy\"><font color=\"green\">&lsaquo;&lsaquo;</font></a></font>";
die;
}
//тут покупка предметов у нпс
$db->openDB();
$items_alter_proverka=mysql_query("SET NAMES 'cp1251'");
$items_alter_proverka=mysql_query("SELECT * FROM alter_items WHERE idname_alter_items='$itemsMenu'");
while(@$items_alter_proverka2=mysql_fetch_assoc($items_alter_proverka))
{
    
if($count<=$items_alter_proverka2[counts_alter_items]){

$total_cost=($count*$items_alter_proverka2[costs_alter_items]);
if($query3[money]<$items_alter_proverka2[costs_alter_items]){echo" [<a href=\"game.php\">в игру</a>][<a href=\"game.php?speak=alter&id=alter_buy\">назад</a>]<br/>у вас не хватает денег";die;}
if($items_alter_proverka2[counts_alter_items]>0){
//if($query3[MIN_VES]>$query3[MAX_VES]){echo"<a href=\"game.php\">в игру</a>вы перегруженны!";die;}
$alter_itv = mysql_query("SET NAMES cp1251");
$alter_itv=mysql_query("SELECT al_ves FROM alter_items WHERE al_il_key=\"$itemsMenu\"");
$IT2a1 = mysql_query("SET NAMES cp1251");
$IT2a1=mysql_query("SELECT * FROM inv WHERE ID_USERS='$_SESSION[s]' AND NEVE='0'");
$IT2b1=mysql_num_rows($IT2a1);
while(@$alter_itv2=mysql_fetch_assoc($alter_itv))
{ 

if(mysql_num_rows($IT2a1)+1>$query3[MAX_VES]){
echo" 
 

 <center><b><a href=\"game.php\">в игру</a><br/>
<center><font color=\"red\">Ошибка!</font></center>предмет сильно тяжелый для помещения в рюкзак,либо у вас не хватает свободного места!<br/></b></center>";die;}
}
echo "<b><div class=\"main_title\"><center><img src=\"img/success.png\"> вы успешно купили ".$items_alter_proverka2[name_alter_items]." $count шт. за $total_cost монет </center></div></b>";
$cash=$query3[money]-$items_alter_proverka2[costs_alter_items]*$count;
$users_minus_cash=mysql_query("UPDATE users SET money=\"$cash\" WHERE NICK=\"$_SESSION[s]\"");//удаляем деньги у игрока
$dob = mysql_query("SET NAMES cp1251");
$dob=mysql_query("SELECT * FROM alter_items WHERE idname_alter_items='$itemsMenu'");
//5-0<1.8 no
//5-1.8<1.8 no
//5-3.6<1.8 yes

while(@$doba=mysql_fetch_assoc($dob)){
$users_items_add = mysql_query("SET NAMES cp1251");   
$users_items_add=mysql_query("INSERT INTO inv 
(IL_LVL,IL_CLASS,IL_ALL_CLASS,IL_SUBCLASS,IL_NAME,
IL_COST,IL_KEY,IL_MIN_DMG,IL_MAX_DMG,
IL_STR,IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,
IL_MAX_PROCH,IL_IMAGE,IL_SRC,IL_NO,ID_USERS,
IL_VES,IL_COUNT) 
VALUES(
'$doba[al_lvl_items]','$doba[type]',
'$doba[alt_class]','$doba[alt_subclass]','$doba[name_alter_items]',
'$doba[costs_alter_items]','$doba[idname_alter_items]',
'$doba[al_min_DMG]','$doba[al_max_DMG]',
'$doba[al_items_STR]','$doba[al_items_DEX]',
'$doba[al_items_INT]','$doba[al_items_SPD]',
'$doba[al_items_MAXPROCH]','$doba[al_items_MAXPROCH]',
'$doba[img_alter_items]','$doba[al_il_key]',
'0','$_SESSION[s]','$doba[al_ves]','1')");//добавляем купленный предмет игроку }
}
}

$alter_minus=$items_alter_proverka2[counts_alter_items]-$count;
$alter_minus_items=mysql_query("SET NAMES 'cp1251'");
$alter_minus_items=mysql_query("UPDATE alter_items SET counts_alter_items='$alter_minus' WHERE idname_alter_items='$itemsMenu'");//удаляем вещи у торговца
}
if($items_alter_proverka2[counts_alter_items]<1){
$alter_null=mysql_query("SET NAMES 'cp1251'");
$alter_null=mysql_query("UPDATE alter_items SET counts_alter_items='0' WHERE idname_alter_items='$itemsMenu'");//удаляем вещи у торговца    
echo"<font color=\"red\">у торговца нету такого предмета</font>
<a href=\"game.php?speak=alter&id=buy\">назад</a>";die;}
}
    
 if ($t - $query3[gametime] < 600) {
            $db->openDB();
            if ($query3[MAXhp] < $query3[SKILL_STR] * 5) {
                $hp = $query3[SKILL_STR] * 5;
                //$update_game = mysql_query("UPDATE users SET MAXhp=\"$hp\" WHERE NICK=\"$_SESSION[s]\"");
            }
            if ($query3[MAXmp] < $query3[SKILL_INT] * 5) {
                $mp = $query3[SKILL_INT] * 5;
                //$update_game = mysql_query("UPDATE users SET MAXmp=\"$mp\" WHERE NICK=\"$_SESSION[s]\"");
            }

include("reghp.php");
$aaa=1;
$hpP=$query3[MINhp]+$aaa;
if($t-$query3[REGhp]>4-$regT AND $query3[MAXhp]-$query3[MINhp]>0 AND $query3[statys]!=1 AND $hpP<$query3[MAXhp])
{

//$update_hp = mysql_query("UPDATE users SET MINhp=\"$hpP\",REGhp=\"$t\" WHERE NICK=\"$aNickName\"");

}
$regMP=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
while($regMP2=mysql_fetch_assoc($regMP)){
$rMP=(round($t-$regMP2[REGmp])/40);
$rMP2=$query3[MINmp]+10*$rMP;
$tgh=$t-$rMP/40;
$tgh2=$t+10;
if($t-$regMP2[REGmp]>=40 AND $query3[MINmp]+10*$rMP<$query3[MAXmp] AND $query3[statys]<1){
$hpi=mysql_query("UPDATE users SET MINmp=\"$rMP2\",REGmp=\"$tgh2\" WHERE NICK=\"$_SESSION[s]\"");
}
if($t-$regHP2[REGmp]>=40 AND $query3[MINmp]+10*$rMP>=$query3[MAXmp] AND $query3[statys]<1){
$hpi=mysql_query("UPDATE users SET MINmp=\"$query3[MAXmp]\",REGmp=\"$tgh2\" WHERE NICK=\"$_SESSION[s]\"");
}
}
}
}
//$db->openDB();
//$shmot=mysql_query("SELECT * FROM users,inv WHERE NICK=\"$aNickName\"");
//while($shmot2=mysql_fetch_assoc($shmot)){

####################################################
//здоровье_персонажа+шмот=здоровье
include_once("LVL_table.php");

####################################################


if(!isset($menu)){
if(!isset($speak)){    
if(!isset($info)){    
?>
<?
$Btime=time();
$evBO=mysql_query("SELECT * FROM everyday_bonus WHERE EB_NICK=\"$_SESSION[s]\"");
$evBO2=mysql_fetch_assoc($evBO);

if(mysql_num_rows($evBO)<1){$inAc=mysql_query("INSERT INTO everyday_bonus (EB_NICK) VALUES ('$_SESSION[s]')");}

if($evBO2[EB_TIME]<$Btime){

$bonusOp = $_GET['bonusOp'];
if(!isset($bonusOp)){echo"<div class=\"menu\"><li></li><li><b><center><a href=\"game.php?bonusOp=1\"><img src=\"img/bonus.png\"> ежедневный бонус</a></center></b></li><li></li></div><br/>";}

if($bonusOp=='1'){
$EBS=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$EBS2=mysql_fetch_assoc($EBS);
$REB1=rand(1,685);
?>
<center><font color="red"><div style="padding-bottom:10px"><div class="main_title">
<?
if($REB1>0 AND $REB1<351){echo'вы получили 200 золото';
$prov_ite = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
$prov_ite2 = mysql_fetch_assoc($prov_ite);
$mEBS=$prov_ite2[IL_COUNT]+200;
if(mysql_num_rows($prov_ite)<1){
$ponew=mysql_query("INSERT INTO inv (IL_CLASS,IL_ALL_CLASS,
IL_NAME,IL_COST,IL_KEY,IL_MAGD_MIN,IL_MAGD_MAX,IL_STR,
IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,
IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_DESC,IL_COUNT) 
VALUES('','','золото',
'','i.money','','','','','','','','','','img/gold.png','i.money','0','$_SESSION[s]','Основная валюта,которая необходима для покупки различных вещей, таких как оружие или броня','$mEBS')");//добавляем лук

}//INSERT
if(mysql_num_rows($prov_ite)>0){
$upd=mysql_query("UPDATE inv SET IL_COUNT=\"$mEBS\" WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
}//UPDATE  

$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");
}
if($REB1>350 AND $REB1<501){echo'вы получили 500 золото';
$prov_ite = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
$prov_ite2 = mysql_fetch_assoc($prov_ite);
$mEBS=$prov_ite2[IL_COUNT]+500;
if(mysql_num_rows($prov_ite)<1){
$ponew=mysql_query("INSERT INTO inv (IL_CLASS,IL_ALL_CLASS,
IL_NAME,IL_COST,IL_KEY,IL_MAGD_MIN,IL_MAGD_MAX,IL_STR,
IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,
IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_DESC,IL_COUNT) 
VALUES('','','золото',
'','i.money','','','','','','','','','','img/gold.png','i.money','0','$_SESSION[s]','Основная валюта,которая необходима для покупки различных вещей, таких как оружие или броня','$mEBS')");//добавляем лук

}//INSERT
if(mysql_num_rows($prov_ite)>0){
$upd=mysql_query("UPDATE inv SET IL_COUNT=\"$mEBS\" WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
}//UPDATE  
$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");
}
if($REB1>500 AND $REB1<601){echo'вы получили 1000 золото';
$prov_ite = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
$prov_ite2 = mysql_fetch_assoc($prov_ite);
$mEBS=$prov_ite2[IL_COUNT]+1000;
if(mysql_num_rows($prov_ite)<1){
$ponew=mysql_query("INSERT INTO inv (IL_CLASS,IL_ALL_CLASS,
IL_NAME,IL_COST,IL_KEY,IL_MAGD_MIN,IL_MAGD_MAX,IL_STR,
IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,
IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_DESC,IL_COUNT) 
VALUES('','','золото',
'','i.money','','','','','','','','','','img/gold.png','i.money','0','$_SESSION[s]','Основная валюта,которая необходима для покупки различных вещей, таких как оружие или броня','$mEBS')");//добавляем лук

}//INSERT
if(mysql_num_rows($prov_ite)>0){
$upd=mysql_query("UPDATE inv SET IL_COUNT=\"$mEBS\" WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
}//UPDATE  
$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");
}
if($REB1>600 AND $REB1<651){echo'вы получили 1500 золото';
$prov_ite = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
$prov_ite2 = mysql_fetch_assoc($prov_ite);
$mEBS=$prov_ite2[IL_COUNT]+1500;
if(mysql_num_rows($prov_ite)<1){
$ponew=mysql_query("INSERT INTO inv (IL_CLASS,IL_ALL_CLASS,
IL_NAME,IL_COST,IL_KEY,IL_MAGD_MIN,IL_MAGD_MAX,IL_STR,
IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,
IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_DESC,IL_COUNT) 
VALUES('','','золото',
'','i.money','','','','','','','','','','img/gold.png','i.money','0','$_SESSION[s]','Основная валюта,которая необходима для покупки различных вещей, таких как оружие или броня','$mEBS')");//добавляем лук

}//INSERT
if(mysql_num_rows($prov_ite)>0){
$upd=mysql_query("UPDATE inv SET IL_COUNT=\"$mEBS\" WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
}//UPDATE  
$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");
}
if($REB1>650 AND $REB1<671){echo'вы получили 3000 золото';
$prov_ite = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
$prov_ite2 = mysql_fetch_assoc($prov_ite);
$mEBS=$prov_ite2[IL_COUNT]+3000;
if(mysql_num_rows($prov_ite)<1){
$ponew=mysql_query("INSERT INTO inv (IL_CLASS,IL_ALL_CLASS,
IL_NAME,IL_COST,IL_KEY,IL_MAGD_MIN,IL_MAGD_MAX,IL_STR,
IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,
IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_DESC,IL_COUNT) 
VALUES('','','золото',
'','i.money','','','','','','','','','','img/gold.png','i.money','0','$_SESSION[s]','Основная валюта,которая необходима для покупки различных вещей, таких как оружие или броня','$mEBS')");//добавляем лук

}//INSERT
if(mysql_num_rows($prov_ite)>0){
$upd=mysql_query("UPDATE inv SET IL_COUNT=\"$mEBS\" WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
}//UPDATE  
$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");
}
if($REB1>670 AND $REB1<681){echo'вы получили 5000 золото';
$prov_ite = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
$prov_ite2 = mysql_fetch_assoc($prov_ite);
$mEBS=$prov_ite2[IL_COUNT]+5000;
if(mysql_num_rows($prov_ite)<1){
$ponew=mysql_query("INSERT INTO inv (IL_CLASS,IL_ALL_CLASS,
IL_NAME,IL_COST,IL_KEY,IL_MAGD_MIN,IL_MAGD_MAX,IL_STR,
IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,
IL_IMAGE,IL_SRC,IL_NO,ID_USERS,IL_DESC,IL_COUNT) 
VALUES('','','золото',
'','i.money','','','','','','','','','','img/gold.png','i.money','0','$_SESSION[s]','Основная валюта,которая необходима для покупки различных вещей, таких как оружие или броня','$mEBS')");//добавляем лук

}//INSERT
if(mysql_num_rows($prov_ite)>0){
$upd=mysql_query("UPDATE inv SET IL_COUNT=\"$mEBS\" WHERE IL_KEY=\"i.money\" AND ID_USERS=\"$_SESSION[s]\"");
}//UPDATE  
$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");
}
if($REB1>680 AND $REB1<682){echo'вы получили камень заточения';
$EbIp=mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.upgrade\" AND ID_USERS=\"$_SESSION[s]\"");
$EbIp2=mysql_fetch_assoc($EbIp);
if(mysql_num_rows($EbIp)<1){$EbipI=mysql_query("INSERT INTO inv (IL_KEY,ID_USERS) VALUES ('i.upgrade','$_SESSION[s]')");}
if(mysql_num_rows($EbIp)>0){
$stoCO=$EbIp2[IL_COUNT]+1;
$EbipU=mysql_query("UPDATE inv SET IL_COUNT=\"$stoCO\" WHERE IL_KEY=\"i.upgrade\" AND ID_USERS=\"$_SESSION[s]\"");}
$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");

}
if($REB1>681 AND $REB1<684){
$mEBS=$EBS2[brilliants]+1;
$upd=mysql_query("UPDATE users SET brilliants=\"$mEBS\" WHERE NICK=\"$_SESSION[s]\"");
echo'вы получили 1 бриллиант';
$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");

}
if($REB1>683 AND $REB1<685){echo'вы получили 3 бриллианта';
$mEBS=$EBS2[brilliants]+3;
$upd=mysql_query("UPDATE users SET brilliants=\"$mEBS\" WHERE NICK=\"$_SESSION[s]\"");
$Bti=time()+86400;
$upTIe=mysql_query("UPDATE everyday_bonus SET EB_TIME=\"$Bti\"");

}
?>
</div></div></font></center>
<?
}
}
include("journal/journal.php"); 
			 ?>




<?
//ЗДЕСЬ ЛОКАЦИИ
$lti=time();
$isc = mysql_query("SELECT * FROM users WHERE $lti-gametime>=600 AND NICK!=\"$_SESSION[s]\" AND online=\"1\"");//это оффлайн,работает!
if(mysql_num_rows($isc)>0) {
while($isc2 = mysql_fetch_assoc($isc)){
$sm = mysql_query("SET NAMES cp1251");
$ofon = time()+4;
$prus = mysql_query("SELECT * FROM users WHERE $lti-gametime<600 AND loc=\"$isc2[loc]\" AND online=\"1\"");
while($prus2=mysql_fetch_assoc($prus)){
$sm = mysql_query("INSERT INTO offon (con,NICK,loc,TIMER,myn,gametime) VALUES ('исчез','$isc2[NICK]','$isc2[loc]','$ofon','$prus2[NICK]','$prus2[gametime]')");
$delis = mysql_query("DELETE FROM offon WHERE $lti-gametime<600 AND myn=\"$isc2[NICK]\"");
$delsw = mysql_query("DELETE FROM offon WHERE NICK=\"$isc2[NICK]\" AND myn=\"$isc2[NICK]\"");
}

$smu = mysql_query("UPDATE users SET online=\"0\" WHERE $lti-gametime>=600 AND NICK!=\"$_SESSION[s]\" AND online=\"1\"");
 
}}
$sonf = mysql_query("SET NAMES cp1251");
$sonf = mysql_query("SELECT * FROM offon WHERE loc=\"$nnick2[loc]\" AND myn=\"$_SESSION[s]\"");
while($sonf2 = mysql_fetch_assoc($sonf)){
echo "<div class=\"main_title\"><center><font color=\"red\">$sonf2[NICK] $sonf2[con]</font></center></div>";
$delmn = mysql_query("DELETE FROM offon WHERE myn=\"$_SESSION[s]\"");

}



$locD = mysql_query("DELETE FROM offon WHERE $lti-gametime>=1200");
$oxr = mysql_query("SELECT * FROM test WHERE NICK=\"$_SESSION[s]\"");
$oxr2 = mysql_fetch_assoc($oxr);
if(mysql_num_rows($oxr)>0){echo "<div class=\"main_title\"><center><font color=\"red\">$oxr2[prov]</font></center></div>";
$dox = mysql_query("DELETE FROM test WHERE NICK=\"$_SESSION[s]\"");
}
$goto = mysql_query("SELECT * FROM goto WHERE myn=\"$_SESSION[s]\"");
while($goto2 = mysql_fetch_assoc($goto)){
if(mysql_num_rows($goto)>0){echo "<center><div class=\"main_title\"><font color=\"red\">$goto2[NICK] $goto2[con]</font></div></center>";
$dgoto = mysql_query("DELETE FROM goto WHERE myn=\"$_SESSION[s]\"");
}
}
$locus = mysql_query("SELECT * FROM location WHERE L_IDL=\"$query3[loc]\"");
$locus2 = mysql_fetch_assoc($locus);
if($query3[loc]){
echo"<center><img src=\"$locus2[img]\"></center><div class=\"main_title\">
<div class=\"center\"><font color=\"black\">$locus2[name]|</font>";
if($locus[oxr]==0){echo"<font color=\"red\">PK ЗАПРЕЩЕН</font></div></div>";}
if($locus[oxr]==1){echo"<font color=\"green\">PK РАЗРЕШЕН</font></div></div>";}
}


















if($query3[loc]=='x100x100'){echo'<center><img src="img/siluena.png"></center><div class=main_title>
<div class="center"><font color="black">Ансития - возле южных ворот|PK ЗАПРЕЩЕН</font>';}
if($query3[loc]=='x100x101'){echo'<center><img src="img/siluena.png"></center><div class=main_title>
<div class="center"><font color="black">Ансития|PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x100x103'){echo'<center><img src="img/siluena.png"></center><div class=main_title>
<div class="center"><font color="black">Ансития|PK РАЗРЕШЕН</font>';}









if($query3[loc]=='x100x25'){echo'Колодец|PK ЗАПРЕЩЕН';}









if($query3[loc]=='x009x001'){echo'<center><img src="img/tavern.jpg"></center><div class=main_title>
<div class="center"><font color="black">Ансития - возле кладбища|<font color="red">PK РАЗРЕШЕН</font></font>';}
if($query3[loc]=='x009x002'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x003'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x004'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x005'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x006'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x007'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x008'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x009'){echo'Кладбище - Усыпальница|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x010'){echo'Кладбище - Усыпальница|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x011'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x012'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x013'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
if($query3[loc]=='x009x014'){echo'Кладбище|<font color="red">PK РАЗРЕШЕН</font>';}
?></font>

<div class='margin_bottom'></div>
<div class="menu">
<?  

//include("IL_VES.php");
if($_SESSION[s]=="asterixos" OR $_SESSION[s]=='raziel'){echo"

 <li><a href=\"az/admin.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/admin.png\"  width=\"24\" height=\"24\" title=\"o\"> админка<font color=\"red\"></font></a></li>";}


echo"";
echo" ";
$ob2=mysql_query("SELECT * FROM users WHERE obuch=\"1\" AND NICK=\"$_SESSION[s]\"");
$oba1=mysql_query("SELECT * FROM obuchenie WHERE personaj=\"0\" AND OB_NICK=\"$_SESSION[s]\"");
if($ob2[obuch]==1){echo'<sup><font color="lime"><img src="img/chat.png" width="7" height="7"> перезагужает страницу,тем самым обновляя данные игры </font></sup>';}
//echo"<li><a href=\"pole.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/i47.png\"  width=\"16\" height=\"16\" title=\"i\"> поля битв<font color=\"red\"></font></a></li>";
echo"

  <li><a href=\"pers.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/grup.png\"  width=\"24\" height=\"24\" title=\"i\">"; 
  
  echo"персонаж<font color=\"red\"></font>";
  if(mysql_num_rows($ob2)>0 AND mysql_num_rows($oba1)>0){echo" <img src=\"img/target.gif\">";}
  echo"</a></li>";

echo"
  <li><a href=\"inv.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/i28.png\"  width=\"24\" height=\"24\" title=\"i\"> сумка<font color=\"red\"></font></a></li>";
//echo"<li><a href=\"pozn.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/br.png\"  width=\"16\" height=\"16\" title=\"i\"> камень познания<font color=\"red\"></font></a></li>";

  if($ob2[obuch]==1){echo'<sup><font color="lime"><img src="img/chat.png" width="7" height="7"> в сумке хранятся вещи персонажа,(оружие,эликсиры,ресурсы и тд)</font></sup>';}
echo"
  <li><a href=\"chat/index.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/i21.png\"  width=\"24\" height=\"24\" title=\"i\"> сказать<font color=\"red\"></font></a></li>";
if($ob2[obuch]==1){echo'<sup><font color="lime"><img src="img/chat.png" width="7" height="7"> при нажатии кнопки сказать,вы попадете в чат-меню (локации,торговый,мир,групповой,клановый,приватный)</font></sup>';}
echo"
  <li><a href=\"questsBOOK.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/ank.png\"  width=\"24\" height=\"24\" title=\"i\"> квесты<font color=\"red\"></font></a></li>
  
  <li><a href=\"maps.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/map.png\"  width=\"24\" height=\"24\" title=\"i\"> карта<font color=\"red\"></font></a></li>
";  
//echo"  <li><a href=\"gameshop/dsgameshop.php\" class=\"submit\"><font color=\"red\"></font><img src=\"img/i15.png\"   title=\"i\"> игровой магазин<font color=\"red\"></font></a></li>";



if($_SESSION[s]=='asterixos'){echo"
  <li>  <a href=\"game.php?m=ress\" class=\"submit\"><font color=\"red\"></font><img src=\"img/xill.png\"  width=\"16\" height=\"16\" title=\"i\"> воскреснуть<font color=\"red\"></font></a></li>";
if($m=='ress' AND $_SESSION[s]=='asterixos'){
$upP=mysql_query("UPDATE users SET MINhp=MAXhp,MINmp=MAXmp WHERE NICK=\"$_SESSION[s]\"");
 //print('<SCRIPT>location.href="game.php";</SCRIPT>');
}
}


?>
</div>
<div class="line"></div>
<?



               
               
                


		
			 

			 
if(!isset($src)){
			 //скриптик вывода звуков и подсчет кол-во нпсов игроков и монстров в локации
			 $count_users=mysql_query("SELECT * FROM users where loc=\"x0x0\" AND $t-gametime<600");
			 @$count_users2=mysql_num_rows($count_users);
			 //if($count_users2>0 AND $query3[loc]=="begin"){echo"<font color=\"lime\">звуки на юг</font>($count_users2 чел.)";}
			 //if($count_users2>0 AND $query3[loc]=="x0x3"){echo"<font color=\"lime\">звуки на север</font>($count_users2 чел.)";}
			 
			 $count_users=mysql_query("SELECT * FROM users where loc=\"begin\" AND $t-gametime<600");
			 @$count_users2=mysql_num_rows($count_users);
			 //if($count_users2>0 AND $query3[loc]=="x0x0"){echo"<font color=\"lime\">звуки на юг</font>($count_users2 чел.)";}
			 
	


?>


<?
$db->openDB();
####################################################################################
####################################################################################
  
  if(!isset($src)){
}


//$nasUSU = mysql_query("SET NAMES cp1251");
//$nasUSU=mysql_query("SELECT * FROM nasUSERS WHERE NICK_US=\"$_SESSION[s]\"");
//while(@$nasUS2U=mysql_fetch_assoc($nasUSU))
          //{          
		  //$userM=$nasUS2U[userM];//максимальный вывод userov на локацию
		  $users = mysql_query("SET NAMES cp1251");
            $users = mysql_query("SELECT * FROM users WHERE NICK!=\"$_SESSION[s]\" AND loc=\"$query3[loc]\" AND $t-gametime<600");
			//}
            @$count_users=mysql_num_rows($users);
            

if($src=="$_SESSION[s]"){echo"вы не можете смотреть на самого себя!";die;}
if($count_users>0 AND !isset($src)){echo" $users2[NICK]<br/>";}
           ?>
		   
		   <?
            while (@$users2 = mysql_fetch_assoc($users)) {
?>
            
<?
@$procU = (100*$users2[MINhp])/$users2[MAXhp];

//осмотр игроков
include("look_users.php");
 
$next = $user+$userM;
$prev = $user-$userM;

list($c)=mysql_fetch_row(mysql_query("SELECT COUNT(*) FROM users WHERE NICK!=\"$_SESSION[s]\" AND loc=\"$query3[loc]\" AND $t-gametime<600"));

}
include("died.php");
//if ($user>0) {
//echo "<a href=\"game.php?user=$prev\">&lArr;</a>";
//}
  //if ($user+$userM<$c) {
//echo "<a href=\"game.php?user=$next\">^</a>";        
//}


?>

<div style="padding:4px">
<b>

<?
     
$db->openDB();
$npc = mysql_query("SET NAMES cp1251");
$npc=mysql_query("SELECT * FROM users,npc_world WHERE NICK=\"$_SESSION[s]\" AND loc=npc_loc");
  @$count_npc=mysql_num_rows($npc);
while(@$npc2=mysql_fetch_assoc($npc)){
                    echo "</center>";
                    echo "<br/> ";
                    //require ("npc.php");
                    if($count_npc>0 AND !isset($src)){
					echo "  <a href=\"game.php?menu=main&src=$npc2[npc_src]\"><img src=\"img/npc0.png\" alt=\"!\" height=\"24\" width=\"24\"> <font color=\"#850E0E\">$npc2[npc_name]</font></a>";}
}
echo"";

}
?>
</b>
</div>

<?
$db->openDB();
//здесь настройки игры
$nasUS = mysql_query("SET NAMES cp1251");
$nasUS=mysql_query("SELECT * FROM nasUSERS WHERE NICK_US=\"$_SESSION[s]\"");
//while(@$nasUS2=mysql_fetch_assoc($nasUS)){
$mobM=$nasUS2[mobM];//максимальный вывод монстров на локацию
$mobsa = mysql_query("SET NAMES cp1251");
$mobsa=mysql_query("SELECT * FROM users,mobs_world WHERE NICK='$query3[NICK]' AND loc=loc_mob AND mb_MINhp>0");
//}
@$count_mobs=mysql_num_rows($mobsa);

$timerok=time();
$UPDmobs=mysql_query("UPDATE mobs_world SET mb_MINhp=mb_MAXhp,dead=\"0\" WHERE $timerok>=M_TIME AND mb_MINhp=0");
while(@$mobsb=mysql_fetch_assoc($mobsa))
{
//если монстр мертв то ресаем его если время вышло

?>
<div class="menu">
<?
@$procM = (100*$mobsb[mb_MINhp])/$mobsb[mb_MAXhp];
if($count_mobs>0 AND !isset($src)){echo"<li></li><li><a href=\"attack.php?menu=main&src=$mobsb[MOBSid]\"><img src=\"img/npc.png\" width=\"24\" height=\"24\" alt=\"mb\"> ";


echo"<font color=\"red\"><b>$mobsb[MOBSname] ур.$mobsb[LVL]</b></font> [<font color=\"red\">хп:".round($procM)." %</font>] </a>";

echo"<li></li>";
?>
</li>
</div>
<?
}
}


include("items.php");
echo"";
?>

<div class="menu">
<?
require ("location.php"); 
echo"<li> <a href=\"game.php\"><img src=\"img/ref.png\" width=\"24\" height=\"24\"> обновить</a></li>";


//$lD2=mysql_query("DELETE FROM logs2 WHERE L_NICK=\"$_SESSION[s]\" AND $tiem-L_TIMERx>0");
?>
</div>

<?
}
    }
    }
$zapLG = mysql_query("SET NAMES cp1251"); 
$zapLG=mysql_query("INSERT INTO logs_game (LOGS) VALUES('$_SERVER[REQUEST_URI]')");
?>


<?

include("all_npc.php");
include("all_speaks.php");


@ob_end_flush();
?>
 
 <?                          
include("footer.php");


die;}			 
?>

